package com.tanpu.community.api.beans.vo.feign.fatools;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @description: 用户信息 圈子使用
 * @author: zejia zj wu
 * @create: 2021-07-15 14:37
 **/
@Data
@Builder
@ApiModel(description = "用户信息 圈子使用")
public class UserInfoNew implements Serializable {


    @ApiModelProperty("主页等级 1普通主页 2首席投顾主页 3机构主页")
    private Integer personalCenterType;
    @ApiModelProperty("是否显示关注按钮 0不显示 1显示")
    private Integer isShowFollowButton;
    @ApiModelProperty("关注按钮状态 0未关注 1已关注")
    private Integer showFollowStatus;

    @ApiModelProperty("粉丝数")
    private Integer fansNumber = 0;
    @ApiModelProperty("关注数")
    private Integer followNumber = 0;
    @ApiModelProperty("课程数")
    private Integer courseNumber = 0;

    @ApiModelProperty("基金数")
    private Integer fundNumber = 0;

    @ApiModelProperty("成立时间")
    private long founded;
    @ApiModelProperty("备案编号")
    private String recordNumber = "-";
    @ApiModelProperty("团队成员")
    private List<UserInfoOrg> userInfoOrgList;


    //↓↓↓↓ 通用 ↓↓↓↓
    @ApiModelProperty("用户id")
    private String userId;//用户id
    @ApiModelProperty("昵称")
    private String nickName;//昵称
    @ApiModelProperty("地址")
    private String address;//地址
    @ApiModelProperty("性别 0：男 1：女")
    private String gender;//性别 0：男 1：女
    @ApiModelProperty("个人简介")
    private String introduction;//个人简介
    @ApiModelProperty("头像")
    private String headImageUrl;//头像
    @ApiModelProperty("全新用户等级体系 详见 UserLevelEnum")
    private Integer levelGrade;
    @ApiModelProperty("当levelGrade=10有值 1投资萌新 2投资达人")
    private String userInvestorType;
    @ApiModelProperty("用户类型 1普通账号 2机构账号 3机构人员")
    private Integer userType;

    @ApiModelProperty("专家投顾 认证信息")
    private String certInfo;

    // 机构人员
    @ApiModelProperty("认证职位")
    private String certPosition;
    @ApiModelProperty("名片是否已通过上传(是否展示工作室入口)  0不通过 1通过")
    private Integer ocrStatus;
    @ApiModelProperty("所属机构id")
    private String belongUserOrgId;
    @ApiModelProperty("所属机构名")
    private String belongUserOrgName;

    //工作室相关
    @ApiModelProperty("工作室名")
    private String workshopName;//工作室名
    @ApiModelProperty("工作室简介")
    private String workshopIntroduction;//工作室简介

    //↓↓↓↓↓首席投顾↓↓↓↓↓↓
    @ApiModelProperty(value = "姓名")
    private String userName;
    @ApiModelProperty(value = "头像背图url")
    private String backImageUrl;
    @ApiModelProperty(value = "是否展示专访视频 0不展示 1展示")
    private Integer interviewVideoIsShow;
    @ApiModelProperty(value = "专访视频 标题")
    private String interviewVideoTitle;
    @ApiModelProperty(value = "专访视频 url")
    private String interviewVideoUrl;
    @ApiModelProperty(value = "个人简介")
    private String personalProfile;
    @ApiModelProperty(value = "管理规模")
    private String managementScale;
    @ApiModelProperty(value = "从业年限 (单位:年)")
    private String workingYears;
    @ApiModelProperty(value = "投资理念")
    private String investmentPhilosophy;
    @ApiModelProperty(value = "擅长领域")
    private String areasOfExpertise;
    @ApiModelProperty(value = "证书 json")
    private String credentials;
    @ApiModelProperty(value = "成功案例客户id")
    private String clientId;

    //↓↓↓↓ 机构 ↓↓↓↓
    @ApiModelProperty(value = "申请用户id")
    private String applyUserId;
    @ApiModelProperty(value = "机构id")
    private String userIdOrg;
    @ApiModelProperty(value = "公司名称")
    private String companyName;
    @ApiModelProperty(value = "公司全称")
    private String companyFullName;
    @ApiModelProperty(value = "营业执照账号")
    private String businessLicenseNumber;
    @ApiModelProperty(value = "营业执照 图片url")
    private String businessLicenseImageUrl;
    @ApiModelProperty(value = "机构用户身份公函 url")
    private String identityLetterUrl;
    @ApiModelProperty(value = "机构认证信息登记表 url")
    private String orgAuthInfoFormUrl;
    @ApiModelProperty(value = "运营人员 职位")
    private String position;
    @ApiModelProperty(value = "审核状态 1初始提交 2审核不通过 3审核通过")
    private Integer auditStatus;
    @ApiModelProperty(value = "认证名称")
    private String certName;
    @ApiModelProperty(value = "是否匹配现有基金公司 0不匹配 1匹配")
    private Integer isExistOrg;
    @ApiModelProperty(value = "所属基金公司id")
    private String belongOrgId;
    @ApiModelProperty(value = "所属基金公司类型 0公募 1私募")
    private Integer belongOrgType;

}